%define	upstream_name	 IO-Compress-Lzf
%define upstream_version 2.058

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    IO::Compress::Lzf - Write lzf files/buffers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::LZF)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Compress::Base) >= 2.58.0
BuildRequires: perl(IO::Uncompress::Base) >= 2.58.0
BuildArch:  noarch

%description
This module provides a Perl interface that allows writing lzf compressed data
to files or buffer.

Note that although this module uses Compress::LZF for compression, it uses a
different file format. The lzf file format used here is the same as the lzf
command-line utility that ships with the lzf library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.58.0-2.mga3
+ Revision: 368470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 2.58.0-1.mga3
+ Revision: 317912
- update to 2.058

* Mon Sep 17 2012 jquelin <jquelin> 2.55.0-1.mga3
+ Revision: 295348
- update to 2.055

* Tue Jun 05 2012 jquelin <jquelin> 2.52.0-1.mga3
+ Revision: 255021
- update to 2.052

* Tue Mar 06 2012 jquelin <jquelin> 2.49.0-1.mga2
+ Revision: 220119
- update to 2.049

* Mon Dec 05 2011 kharec <kharec> 2.45.0-1.mga2
+ Revision: 177034
- update to 2.045

* Sun Dec 04 2011 kharec <kharec> 2.44.0-1.mga2
+ Revision: 175790
- update to 2.044

* Sat Dec 03 2011 kharec <kharec> 2.43.0-1.mga2
+ Revision: 175690
- update to 2.043

* Sat Nov 19 2011 kharec <kharec> 2.42.0-1.mga2
+ Revision: 169329
- update to 2.042

* Tue Nov 08 2011 jquelin <jquelin> 2.40.0-1.mga2
+ Revision: 165452
- remove MYMETA from %%doc
- update to 2.040

* Wed Jun 22 2011 jquelin <jquelin> 2.37.0-1.mga2
+ Revision: 112416
- update to 2.037

* Fri Jun 17 2011 jquelin <jquelin> 2.35.0-1.mga2
+ Revision: 109059
- update to 2.035

* Thu Feb 17 2011 dmorgan <dmorgan> 2.33.0-1.mga1
+ Revision: 52948
- New version

* Sun Jan 23 2011 jquelin <jquelin> 2.30.0-1.mga1
+ Revision: 33860
- mageia rebuild
- imported package perl-IO-Compress-Lzf

